#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 arch-hs
version:              0.4.0.0
visibility:           public
id:                   arch-hs-0.4.0.0-JLiNawfJp4dFu1UyvYDOc4
key:                  arch-hs-0.4.0.0-JLiNawfJp4dFu1UyvYDOc4
license:              MIT
copyright:            2020 berberman
maintainer:           berberman <1793913507@qq.com>
author:               berberman
homepage:             https://github.com/berberman/arch-hs
synopsis:             Distribute hackage packages to archlinux
description:
    @arch-hs@ is a command-line program, which simplifies the process of producing
    and maintaining haskell packages for archlinux distribution by automating the
    PKGBUILD generation with the dependency resolving and template filling. Currently,
    @arch-hs@ is unstable, so packagers should not trust it 100%, but always follow the
    <https://wiki.archlinux.org/index.php/Haskell_package_guidelines Haskell package guidelines>.

category:             Distribution
abi:                  b7f5f7153165206544360880ef8d1187
exposed:              True
exposed-modules:
    Distribution.ArchHs.Aur Distribution.ArchHs.Community
    Distribution.ArchHs.Core Distribution.ArchHs.Exception
    Distribution.ArchHs.Hackage Distribution.ArchHs.Internal.Prelude
    Distribution.ArchHs.Local Distribution.ArchHs.Name
    Distribution.ArchHs.OptionReader Distribution.ArchHs.PP
    Distribution.ArchHs.PkgBuild Distribution.ArchHs.PkgDesc
    Distribution.ArchHs.Types Distribution.ArchHs.Utils

hidden-modules:
    Data.Aeson.Ext Distribution.ArchHs.Internal.NamePresetLoader

import-dirs:          /usr/lib/ghc-8.10.2/site-local/arch-hs-0.4.0.0
library-dirs:         /usr/lib/ghc-8.10.2/site-local/arch-hs-0.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/arch-hs-0.4.0.0
hs-libraries:         HSarch-hs-0.4.0.0-JLiNawfJp4dFu1UyvYDOc4
extra-libraries:      alpm
include-dirs:         /usr/lib/ghc-8.10.2/site-local/arch-hs-0.4.0.0/include
depends:
    Cabal-3.2.0.0 aeson-1.5.4.1-L4blGMy4f2B3cvSeFwSnLz
    algebraic-graphs-0.5-GGiMrb6mDe3ENG2jP8L3Vd base-4.14.1.0
    bytestring-0.10.10.0 colourista-0.1.0.0-1OSpcIHxZXnK2238CNU0A9
    conduit-1.3.3-HUAQTkZbfbv9dPdBzjj1zo
    conduit-extra-1.3.5-JRokG8akTXw5Rt0hpWhFp2 containers-0.6.2.1
    deepseq-1.4.4.0 directory-1.3.6.0 filepath-1.4.2.1
    hackage-db-2.1.0-AC54pZv1qnZLl2v5NYHLrK
    megaparsec-8.0.0-7TuU754CNavKU2kzAe3C75
    microlens-0.4.11.2-9caS3Frz8K54yIHXMtlddL
    microlens-th-0.4.3.6-M0D4zBEXIjEa75KR5Tb4o
    neat-interpolation-0.5.1.2-A40jMvfRajqFBHcCxHMQIi
    optparse-applicative-0.16.0.0-DrvbQICYyMB1umm27hCh4F
    polysemy-1.4.0.0-DPfpIVmDzwm1n7lQwETpfA
    req-3.7.0-8Frih2sHmBdJ0UbPn7SgxX
    split-0.2.3.4-B0BaXlA85T0H4ZQWCZbhyh
    tar-conduit-0.3.2-55WrbrrLu0bCdeLyLehsRv template-haskell-2.16.0.0
    text-1.2.3.2

haddock-interfaces:   /usr/share/doc/arch-hs/html/arch-hs.haddock
haddock-html:         /usr/share/doc/arch-hs/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

